Unable to control where users can build hosts

03/17/2016 07:38 AM - Tomer Brisker

Status: Duplicate   

Priority: Urgent   

Assignee: Tomer Brisker   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1293716 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1293716

Description of problem:

When a user has the 'create_hosts' permission then there are no controls to limit what Location, Host Group, Lifecycle Environment,

Content View that the user can create the host in.

Version-Release number of selected component (if applicable):

6.1.5

How reproducible:

Create a user, assign to a role. Give the following roles

access_dashboard

assign_organizations, view_organizations

assign_locations, view_locations

edit_products, view_products    name = P_GIRAFFE

promote_or_remove_content_views, view_content_views, publish_content_views    name = CCV_CSL3.1_GIRAFFE or name =

CV_GIRAFFE

promote_or_remove_content_views_to_environments, view_lifecycle_environments    name = ENG

create_hosts, view_hosts    hostgroup_fullname = HG_Capsule

Notice in the New Host as this user you can view ALL Host Groups, ALL Lifecycle Environments, ALL Content View's etc and initiate

the build of a host.

Actual results:

Host is created by in host groups, lifecycle environments we have tried to limit.

Expected results:

Host creation to only show resources that the user has access too.

Additional info:

Related issues:

Related to Foreman - Feature #7289: ACL who can add a host to hostgroup. New 08/28/2014

Is duplicate of Foreman - Feature #4477: Improve permissions on resources in ... Closed 02/27/2014

History

#1 - 03/17/2016 07:43 AM - Dominic Cleal

- Is duplicate of Feature #7289: ACL who can add a host to hostgroup. added

#2 - 03/17/2016 07:43 AM - Dominic Cleal

- Status changed from New to Duplicate

This is already covered in tickets #7289 and #4477.

#3 - 03/27/2016 10:44 AM - Tomer Brisker
- Is duplicate of deleted (Feature #7289: ACL who can add a host to hostgroup.)

#4 - 03/27/2016 10:44 AM - Tomer Brisker

- Is duplicate of Feature #4477: Improve permissions on resources in host creation/editing form added

#5 - 03/27/2016 10:44 AM - Tomer Brisker

- Related to Feature #7289: ACL who can add a host to hostgroup. added

#6 - 03/27/2016 10:45 AM - Tomer Brisker

This duplicates #4477, not #7289.
